Bug 554926 - Review Request: ghc-xhtml - Haskell XHTML combinator library
Review Request: ghc-xhtml - Haskell XHTML combinator library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
high Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 555405 555443
  Show dependency treegraph
 
Reported: 2010-01-12 21:49 EST by Jens Petersen
Modified: 2010-10-06 22:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 20:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rpandit: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2010-01-12 21:49:24 EST
Spec URL: http://petersen.fedorapeople.org/ghc-xhtml/ghc-xhtml.spec
SRPM URL: http://petersen.fedorapeople.org/ghc-xhtml/ghc-xhtml-3000.2.0.1-2.fc12.src.rpm
Description: Haskell XHTML combinator library

This is package is required to build ghc-cgi and is also
part of haskell-platform (formally was included in ghc-6.10).
Comment 1 Jens Petersen 2010-01-15 01:54:23 EST
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1923090
Comment 2 Rakesh Pandit 2010-01-20 01:21:11 EST
[+] Build - http://koji.fedoraproject.org/koji/taskinfo?taskID=1933244 - fine
[+] rpmlint - ok 

===========================================================================
Spec file rpmlint output (one from bug) :
===========================================================================

Rpmlint Messages:
/tmp/gachi92Mdu/ghc-xhtml.spec: W: no-cleaning-of-buildroot %install
/tmp/gachi92Mdu/ghc-xhtml.spec: W: no-buildroot-tag
0 packages and 1 specfiles checked; 0 errors, 2 warnings.

Ignored.

===========================================================================
Pkg rpmlint output (one from bug) :
===========================================================================

Rpmlint Messages:
ghc-xhtml.src: W: strange-permission xhtml-3000.2.0.1.tar.gz 0600
ghc-xhtml.src: W: no-cleaning-of-buildroot %install
ghc-xhtml.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Ignored.

===========================================================================
Lint output on koji build rpms:
===========================================================================
===========================================================================
Koji build rpm /tmp/gachi92Mdu/kojii_GF3F/1933245/ghc-xhtml-3000.2.0.1-2.fc13.src.rpm output:
===========================================================================

Rpmlint Messages:
ghc-xhtml.src: W: macro-in-%description %ghc_lib_package
ghc-xhtml.src: W: strange-permission xhtml-3000.2.0.1.tar.gz 0600
ghc-xhtml.src: W: no-cleaning-of-buildroot %install
ghc-xhtml.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachi92Mdu/kojii_GF3F/1933245/ghc-xhtml-prof-3000.2.0.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-xhtml-prof.x86_64: E: devel-dependency ghc-xhtml-devel
ghc-xhtml-prof.x86_64: W: no-documentation
ghc-xhtml-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/xhtml-3000.2.0.1/libHSxhtml-3000.2.0.1_p.a
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachi92Mdu/kojii_GF3F/1933245/ghc-xhtml-doc-3000.2.0.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Clean

===========================================================================
Koji build rpm /tmp/gachi92Mdu/kojii_GF3F/1933245/ghc-xhtml-devel-3000.2.0.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-xhtml-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Ignored.

===========================================================================
Koji build rpm /tmp/gachi92Mdu/kojii_GF3F/1933245/ghc-xhtml-3000.2.0.1-2.fc13.x86_64.rpm output:
===========================================================================

Rpmlint Messages:
ghc-xhtml.x86_64: W: unstripped-binary-or-object /usr/lib64/ghc-6.12.1/xhtml-3000.2.0.1/libHSxhtml-3000.2.0.1-ghc6.12.1.so
ghc-xhtml.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/xhtml-3000.2.0.1/libHSxhtml-3000.2.0.1-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Ignored.

[+] name fine
[+] URL fine
[+] source ok
from srpm (sha1sum)

[rakesh@dhcp1-96 SPECS]$ sha1sum ../SOURCES/xhtml-3000.2.0.1.tar.gz 
2dc5765491a12bed90a147221a626c7840e19944  ../SOURCES/xhtml-3000.2.0.1.tar.gz

[rakesh@dhcp1-96 SPECS]$ sha1sum xhtml-3000.2.0.1.tar.gz 
2dc5765491a12bed90a147221a626c7840e19944  xhtml-3000.2.0.1.tar.gz

[+] spec name fine
[+] license ok (copy present) and source has marking
[+] source tree ok (no binaries present)
[+] archs - fine
[+] spec file legible and in american english
[+] BR's ok
[+] %files ok
[+] folders owned - ok

main
/usr/lib/ghc-6.12.1/xhtml-3000.2.0.1
/usr/share/doc/ghc-xhtml-3000.2.0.1
devel
/usr/lib/ghc-6.12.1/xhtml-3000.2.0.1
/usr/lib/ghc-6.12.1/xhtml-3000.2.0.1/Text
/usr/lib/ghc-6.12.1/xhtml-3000.2.0.1/Text/XHtml
doc
/usr/share/doc/ghc/html/libraries/xhtml-3000.2.0.1

[+] source builds fine on fedora ghc archs
[+] no bundled dependencies
[+] %clean section ok
[+] filenames - ok (valid)
[+] profiling ok
[+] lib goes to %{_libdir}/ghc-%{ghc_version}/%{pkg_name}-%{version}
[+] new macros

APPROVED

Thanks,
Comment 3 Jens Petersen 2010-01-20 02:58:00 EST
Thanks!  Will fix tarball permissions.


New Package CVS Request
=======================
Package Name: ghc-xhtml
Short Description: Haskell XHTML combinator library
Owners: petersen
Branches: devel
InitialCC: haskell-sig
Comment 4 Jason Tibbitts 2010-01-20 19:35:33 EST
CVS done (by process-cvs-requests.py).
Comment 5 Jens Petersen 2010-01-20 20:22:27 EST
Thanks - imported and built.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1935171
Comment 6 Jens Petersen 2010-10-05 00:24:51 EDT
Package Change Request
======================
Package Name: ghc-xhtml
New Branches: el6
Owners: petersen
InitialCC: haskell-sig
Comment 7 Jens Petersen 2010-10-06 22:47:06 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.